#ifndef IT_CALLBACK
#define IT_CALLBACK

[Files]
Source: "{#emit ExtractFilePath(__PATHFILENAME__)}\itcallback.dll"; DestDir: "{tmp}"; Flags: dontcopy

[Code]
(*
Inno Tools InnoCallback
Copyright (C) Sherlock Software 2006
Version 0.1 Alpha

Contact:
 The author, Nicholas Sherlock, at nick@sherlocksoftware.org. Comments, questions and suggestions welcome.

Website:
 http://www.sherlocksoftware.org
*)

// Below are imports and callback wrapper for windows timer api
type
 TTimerProc = procedure(hWnd: HWND; uMsg: LongWord; idEvent: LongWord; dwTime: LongWord);

function SetTimer(hWnd: LongWord; nIDEvent, uElapse: LongWord; lpTimerFunc: LongWord): LongWord;
  external 'SetTimer@user32.dll stdcall';

function KillTimer(hWnd: LongWord; idEvent: LongWord): LongBool;
  external 'KillTimer@user32.dll stdcall';

function WrapTimerProc(callback: TTimerProc; paramCount: Integer): LongWord;
  external 'wrapcallback@files:itcallback.dll stdcall';

#endif
